//CSE470 Donovan Walker
//My friend David Nia was invaluable in assistance with program
//design and debugging.
// project01View.h : interface of the CProject01View class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_PROJECT01VIEW_H__FDCE48EE_FDE1_11D3_8514_0080C88C665E__INCLUDED_)
#define AFX_PROJECT01VIEW_H__FDCE48EE_FDE1_11D3_8514_0080C88C665E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CProject01View : public CView
{
protected: // create from serialization only
	CProject01View();
	DECLARE_DYNCREATE(CProject01View)

// Attributes
public:
	CProject01Doc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CProject01View)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CProject01View();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CProject01View)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnFileOpen();
	afx_msg void OnChangeMN();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in project01View.cpp
inline CProject01Doc* CProject01View::GetDocument()
   { return (CProject01Doc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PROJECT01VIEW_H__FDCE48EE_FDE1_11D3_8514_0080C88C665E__INCLUDED_)
